Issue #13066 has been updated by Usaku NAKAMURA.

Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED, 2.4: REQUIRED to 2.1: REQUIRED, 2.2: DONE, 2.3: REQUIRED, 2.4: REQUIRED

ruby_2_2 r57225 merged revision(s) 57172.

----------------------------------------
Bug #13066: 2.4.0-rc1, VC14, Segmentation fault on RSS::TestRSS10Core#test_to_xml
https://bugs.ruby-lang.org/issues/13066#change-62284

* Author: y mise
* Status: Closed
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: ruby 2.4.0rc1 (2016-12-12 trunk 57064) [x64-mswin64_140]
* Backport: 2.1: REQUIRED, 2.2: DONE, 2.3: REQUIRED, 2.4: REQUIRED
----------------------------------------
I read Mr. Nakada's tweet (https://twitter.com/n0kada/status/811156759611965441), so I tried and got segmentation fault. Please see attached file.
What I did was:

1. extract ruby-2.4.0-rc1.tar.xz
2. apply r57079 (fix link error with VC14) manually
3. win32\configure.bat --prefix=c:/ruby --disable-rubygems --disable-install-doc
4. nmake
5. delete other test files, now, "test" folder only contains "lib", "rss" and "runner.rb"
6. nmake test-all
7. if test passed, close and restart command prompt, and nmake test-all again
8. segmentation fault happened after around 5 times trial

---Files--------------------------------
segfault_57079applied.txt (25.8 KB)
segfault_new-timec.txt (26.2 KB)
fatal_new-timec_mod.txt (2.09 KB)


-- 
https://bugs.ruby-lang.org/